Plan creative directions
/publication-builds/anglesIn: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/publication-builds/angles" \ -H "Content-Type: application/json" \ -d '{ "workspace_id": "string" }'{ "$schema": "https://example.com/api/v1/schemas/PlanPublicationAnglesOutputBody.json", "angles": [ { "approach": "string", "build_direction": { "angle": "string", "audience": "string", "instructions": "string", "media_preference": "string", "outcome": "string", "tone_adjustment": "string" }, "desired_reaction": "string", "evidence": "string", "hook": "string", "id": "string", "label": "string", "media": { "alt_text": "string", "brief": "string", "document": { "appearance": "light", "conversation": { "messages": [ { "id": "string", "image_media_id": "string", "sender_id": "string", "text": "string" } ], "name": "string", "people": [ { "avatar_media_id": "string", "id": "string", "name": "string" }, { "avatar_media_id": "string", "id": "string", "name": "string" } ], "read_receipt": "string", "self_id": "string", "show_header": true, "timestamp": "string" }, "frame": "natural", "meme": { "alt_text": "string", "captions": [ "string" ], "format": "png", "name": "string", "overlay_media_ids": [ "string" ], "overlay_slots": 0, "parent_media_id": "string", "template_id": "string" }, "receipt": { "address": "string", "business": "string", "currency": "USD", "custom_total": "string", "footer": "string", "items": [ { "amount_cents": 0, "id": "string", "name": "string", "quantity": 1 } ], "order": "string", "tax_percent": 0, "timestamp": "string" }, "schema_version": 1, "status_page": { "headline": "string", "name": "string", "severity": "operational", "updates": [ { "id": "string", "stage": "string", "text": "string", "timestamp": "string" } ] }, "template_id": "messages", "text_size": "small", "title": "string" }, "role": "string", "source_ref": "string", "template_id": "string", "treatment": "string" }, "objective": "string", "thesis": "string" } ]}